# config/settings.py
"""
General configuration settings
"""
import os

BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))
LOG_DIR = os.path.join(BASE_DIR, 'logs')
DEFAULT_WORK_DIR = os.path.expanduser("~/Documents/WorkFolder")

LLM_SETTINGS = {
    "default_model": "gpt-4",
    "temperature": 0.7,
    "max_tokens": 1000
}